Packages - Freedom Issue #2323

[aurphan][aurpublish][aurvote] Remove from repos
2019-05-24 03:58 PM - theova

Status: confirmed % Done: 0%
Priority: discussion

Assignee:

Category:

Description

aurvote is a "tool to vote for favorite AUR packages". | think we should remove this from [pcr] since the AUR is not recommended.
This packet may be seen as refering "to third-party repositories that are not committed to only including free software".

Related issues:

Related to Servers - Feature Request #738: Add new Parabola User Repo [PUR] (... open
Related to Documentation - Housekeeping #2322: How to contribute to [pcr]? fixed
History

#1 - 2019-05-24 04:04 PM - theova

The issue also applies on two other packages aurphan and aurpublish (both in [libre] so we would need to additionally blacklist them).

#2 - 2019-05-24 04:13 PM - bill-auger
- Related to Feature Request #738: Add new Parabola User Repo [PUR] (like AUR) added

#3 - 2019-05-24 04:14 PM - bill-auger
- Related to Housekeeping #2322: How to contribute to [pcr]? added

#4 - 2019-05-24 04:14 PM - bill-auger
- Priority changed from bug to discussion

- Subject changed from [aurvote] Remove from PUR to [aurphan][aurpublish][aurvote] Remove from repos

referring to the AUR is not really a freedom issue - none of those packages can actually download or install any non-free packages, can they?

an alternate suggestion, rather than removing them, these could be good candidates to adapt for use of a new user-curated PKGBUILD repository if
that becomes a viable project

#5 - 2019-05-30 06:17 PM - bill-auger
- Status changed from unconfirmed to confirmed
ill throw 2 more logs on the fire while we're at it:
pcr/package-query 1.8-2

Query ALPM and AUR

pcr/packer—-git 327.e86£f847-1 [installed]
Bash wrapper for pacman and aur
https://www.parabola.nu/packages/community/i686/aurphan/
https://www.parabola.nu/packages/community/x86_64/aurpublish/
http://www.tcpdf.org

